<? 
	$this->layout()->disableLayout();
	$user_types = array(
		'escorts',
		'agencies',
		'members'
	);
?>

<form class="form-common issue-form" action="<?= $this->baseUrl() ?>/issues/create-ticket" method="post" id="create-ticket">
		
	<fieldset class="mt10">
		<legend>Ticket</legend>
		
		<div class="inner">
			<label for="user_type">User Type</label>
			<select name="user_type" id="user_type" class="w10">				
				<? foreach ($user_types as $user_type): ?>
					<option value="<?= $user_type ?>"><?= $user_type ?></option>
				<? endforeach; ?>
			</select>
		</div>

		<div class="inner">
			<label for="user_type_id">ID</label>
			<input type="text" value="" name="user_type_id" id="user_type_id" class="txt w7">
		</div>
		<div class="clear"></div>
			
		<div class="inner">
			<label for="subject">Subject</label>
			<input type="text" value="" name="subject" id="subject" class="txt w28">
		</div>
		<div class="clear"></div>
        <?if( Cubix_Application::getId() == APP_ED ):?>
            <div id="value-tabs-create">
                <? $langs = Cubix_I18n::getLangs(true) ?>
                <ul class="mootabs_title">
                    <? foreach ( $langs as $id ): ?>
                        <li title="<?= $id ?>"><img src="/img/flags/<?= $id ?>.png" width="16" height="11" alt="" /></li>
                    <? endforeach; ?>
                </ul>
                <? foreach ( $langs as $id ): ?>
                    <div id="<?= $id ?>" class="mootabs_panel" style="padding:0px">
                        <select name="templates" id="i-templates_<?= $id ?>" class="i-templates" data-lang="<?= $id ?>" style="margin-top: 20px;margin-bottom: 20px;">
                            <option value="">--- Use Template ---</option>
                            <? foreach ($this->issue_templates as $temp): ?>
                                <?if(strlen($temp->{'title_' . $id})):?>
                                <option value="<?= $temp->id ?>"><?= $temp->{'title_' . $id} ?></option>
                                <?endif;?>
                            <? endforeach; ?>
                        </select>
                        <div class="clear"></div>

                        <textarea class="txt issue-comment" name="comment[]" id="comment_create_<?= $id ?>" style="width:600px;"></textarea>
                        <div class="clear"></div>

                    </div>
                <? endforeach; ?>
                <div id="form-upload1" <?= (Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF || Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == APP_EG_CO_UK) ? '' : 'style="display: none"' ?>>
                    <div id="filecontrol1" ></div>
                    <div class="clear"></div>
                </div>
            </div>
        <?else:?>
		<div class="inner">
			<select name="templates" id="i-templates" class="i-templates"z style="margin-bottom: 20px;margin-top: 10px;" class="w28">
				<option value="">--- Use Template ---</option>
				<? foreach ($this->issue_templates as $temp): ?>
					<option value="<?= $temp->id ?>"><?= $temp->title ?></option>
				<? endforeach; ?>
			</select>
			<div class="clear"></div>
			
			<textarea class="txt issue-comment" name="comment" id="comment" style="width:400px;"></textarea>
			<div class="clear"></div>

			<? /*<div id="attach-box" <?= (Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF) ? '' : 'style="display: none' ?> >

				<a href="#" id="attach-file">Attach a file</a>

				<ul id="attach-list"></ul>

				<a href="#" id="attach-file-2" style="display: none;">Attach another file</a>
			</div>
			<a id="btn-add-comment"></a>
		</div>
		<div class="clear"></div>*/?>
	</fieldset>
    <?endif;?>
</form>